{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Run npm nodemon (DB)",
            "command": "npm run debug",
            "request": "launch",
            "type": "node-terminal",
            "preLaunchTask": "killInspector",
            "env": {
                "APP_ENV": "development"
            }
        },
        {
            "name": "Run npm nodemon (Raph)",
            "command": "npm run debug",
            "request": "launch",
            "type": "node-terminal",
            "preLaunchTask": "killInspector",
            "env": {
                "APP_ENV": "development.raph"
            }
        },
        {
            "name": "Run npm node (PROD)",
            "command": "npm run prod",
            "request": "launch",
            "type": "node-terminal",
            "preLaunchTask": "killInspector",
            "env": {
                "NODE_ENV": "production"
            }
        },
        {
            "name": "Run npm next start",
            "command": "npm run start",
            "request": "launch",
            "type": "node-terminal"
        },
        {
            "name": "Conda debug (DB)",
            "request": "launch",
            "type": "node-terminal",
            "cwd": "${workspaceFolder}",
            "command": "conda activate node && npm run debug-env",
            "env": {
                "APP_ENV": "development.popov"
            }
        },
        {
            "name": "Conda run (DB)",
            "request": "launch",
            "type": "node-terminal",
            "cwd": "${workspaceFolder}",
            "command": "conda activate node && npm install && npm run start-env",
            "env": {
                "APP_ENV": "development.devserver"
            }
        },
        {
            "name": "!Run npm DEV (UI REDESIGN)",
            "request": "launch",
            "type": "node-terminal",
            "cwd": "${workspaceFolder}",
            "command": "npm run start-env",
            "env": {
                // "NODE_ENV": "test",
                "APP_ENV": "development.devserver"
            }
        },
        {
            "name": "Run conda npm TEST",
            "request": "launch",
            "type": "node-terminal",
            "cwd": "${workspaceFolder}",
            "command": "conda activate node && npm run test",
            "env": {
                "NODE_ENV": "test"
            }
        },
        {
            "type": "node",
            "request": "attach",
            "name": "Attach nodemon",
            "processId": "${command:PickProcess}",
            "restart": true,
            // "protocol": "inspector",
            "internalConsoleOptions": "neverOpen",
            "skipFiles": [
                "<node_internals>/**"
            ]
        }
    ]
}